                   /* singlefile.h, 24 May 11 */


typedef char * (*get_buff_func_type)(void);

extern BOOL do_print_location,
            do_mk_ndb,
	    do_space_sep,
	    do_ignore_comments,
	    have_printed_filename,
	    has_dp;
extern DIGIT_CHAR cur_char,
		  last_tok,
		  last_last_tok;
extern fp_t cur_fp_val;
extern int other_toks;
extern char *cur_filename;
extern int file_bytes_read;
extern int line_count;

extern void get_next_char(void);
extern void print_progress(void);
extern void analyse_file(get_buff_func_type get_buff_func,
			 char *filename);
extern void process_file(char *filename);
extern void init_sing_file(void);

